[med-svn] r6707 - trunk/packages/ncbi-blast-plus/trunk/debian

olivier sallou osallou-guest at alioth.debian.org
Thu Apr 28 16:19:26 UTC 2011


Author: osallou-guest
Date: 2011-04-28 16:19:19 +0000 (Thu, 28 Apr 2011)
New Revision: 6707

Added:
   trunk/packages/ncbi-blast-plus/trunk/debian/get-orig-source
Modified:
   trunk/packages/ncbi-blast-plus/trunk/debian/rules
   trunk/packages/ncbi-blast-plus/trunk/debian/watch
Log:
update upstream get scripts

Added: trunk/packages/ncbi-blast-plus/trunk/debian/get-orig-source
===================================================================
--- trunk/packages/ncbi-blast-plus/trunk/debian/get-orig-source	                        (rev 0)
+++ trunk/packages/ncbi-blast-plus/trunk/debian/get-orig-source	2011-04-28 16:19:19 UTC (rev 6707)
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+set -e
+
+PKG=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+VERSION=`uscan --rename --verbose --force-download | 
+    grep "Newest version on remote site is .* local version is .*" | 
+    head -n 1 | 
+    sed "s/Newest version on remote site is \([a-z0-9.]\+\),.*/\1/"`
+
+mkdir -p ../tarballs
+cd ../tarballs
+
+UTAR="${PKG}_${VERSION}.orig.tar.gz"
+mv ../${UTAR} .
+tar -xzf ${UTAR}
+
+mv ncbi-blast-${VERSION}+-src/c++ $PKG-${VERSION}.orig # .orig is requested by Developers Reference 3.4.4 §6.7.8.2
+rmdir ncbi-blast-${VERSION}+-src
+
+rm $UTAR
+
+BZIP2="--best" tar -cjf ${PKG}_${VERSION}.orig.tar.bz2 ${PKG}-${VERSION}.orig
+rm -rf ${PKG}-${VERSION}.orig
+


Property changes on: trunk/packages/ncbi-blast-plus/trunk/debian/get-orig-source
___________________________________________________________________
Added: svn:executable
   + *

Modified: trunk/packages/ncbi-blast-plus/trunk/debian/rules
===================================================================
--- trunk/packages/ncbi-blast-plus/trunk/debian/rules	2011-04-28 16:06:44 UTC (rev 6706)
+++ trunk/packages/ncbi-blast-plus/trunk/debian/rules	2011-04-28 16:19:19 UTC (rev 6707)
@@ -31,3 +31,7 @@
 
 %:
 	dh $@ 
+
+
+get-orig-source:
+	. debian/get-orig-source

Modified: trunk/packages/ncbi-blast-plus/trunk/debian/watch
===================================================================
--- trunk/packages/ncbi-blast-plus/trunk/debian/watch	2011-04-28 16:06:44 UTC (rev 6706)
+++ trunk/packages/ncbi-blast-plus/trunk/debian/watch	2011-04-28 16:19:19 UTC (rev 6707)
@@ -1,3 +1,3 @@
 version=3
-opts=pasv,filenamemangle=s/\+-src/-orig/ \
+opts=pasv,filenamemangle=s/\+-src/-orig/,filenamemangle=s/blast/blast-plus/ \
      ftp://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/LATEST/ncbi-blast-(.*)\+-src\.tar\.gz debian uupdate




More information about the debian-med-commit mailing list